#include<iostream>
#include<string>
using namespace std;

char alphabet[26]={'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h',
                'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x' , 'y', 'z'};

int main(){
    int n;
    string in;
    getline(cin, in);
    cin>>n;
    long long len=in.length();
    for(int i=0; i<len; i++){
        if(in[i]>96 and in[i]<123){
            in[i]=alphabet[((int)in[i]-97)+((n*(-1))%25)];
        }else if(in[i]>64 and in[i]<91){
            in[i]=(int)alphabet[((int)in[i]-65)+((n*(-1))%25)]-32;
        }
    }
    cout<<in;
}
